Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 602042

Summary: media-gfx/pencil-0.6 version bump, switch to Qt5, fix Homepage, fix SRC_URI
Product: Gentoo Linux Reporter: eroen <gentoo>
Component: Current packagesAssignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it <maintainer-needed>
Status: RESOLVED FIXED    
Severity: normal CC: treecleaner
Priority: Normal Keywords: PMASKED
Version: unspecified   
Hardware: All   
OS: Linux   
URL: https://github.com/pencil2d/pencil/blob/master/README.md
Whiteboard: Pending removal: 2018-03-27
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 631788, 648050    
Attachments: pencil2d-0.6.0.ebuild

Description eroen 2016-12-08 22:24:49 UTC
* media-gfx/pencil [gentoo]
Maintainer:  None specified
Upstream:    Remote-ID:   pencil-planner ID: sourceforge
Homepage:    http://www.pencil-animation.org/
Location:    /usr/portage/media-gfx/pencil
Keywords:    0.4.4_beta:0: ~amd64 ~x86
License:     GPL-2


Some suggestions for new SRC_URI:

- https://github.com/pencil2d/pencil
- https://bitbucket.org/chchwy/pencil2d
- http://pencil2d.github.io
- http://www.pencil2d.org (probably outdated)

It also appears the Sourceforge project is obsolete, the README links to a 0.5.4-beta download.
Comment 1 Andreas Sturmlechner gentoo-dev 2018-01-13 04:00:52 UTC
Qt4 is dead and going away, this needs to be picked up by someone or will be last-rited at some point.
Comment 2 Larry the Git Cow gentoo-dev 2018-02-27 16:14:11 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7bced93ef369054a9949b8161b60704725ce984c

commit 7bced93ef369054a9949b8161b60704725ce984c
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-02-27 14:42:12 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-02-27 16:13:30 +0000

    profiles: Mask media-gfx/pencil for removal
    
    Bug: https://bugs.gentoo.org/602042

 profiles/package.mask | 5 +++++
 1 file changed, 5 insertions(+)}
Comment 3 Agustin Ferrari 2018-03-18 10:11:06 UTC
Created attachment 524248 [details]
pencil2d-0.6.0.ebuild

I took the liberty of making an ebuild of Pencil2D 0.6.0. The ebuild does the installation correctly and as far as I could check the program seems to work well.
Comment 4 Larry the Git Cow gentoo-dev 2018-03-28 21:46:00 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=792ea26a97613a0a621da04a29258ed07b878153

commit 792ea26a97613a0a621da04a29258ed07b878153
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-03-28 21:41:23 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-03-28 21:45:22 +0000

    media-gfx/pencil: Drop old
    
    Closes: https://bugs.gentoo.org/602042
    Package-Manager: Portage-2.3.26, Repoman-2.3.7

 media-gfx/pencil/Manifest                          |  1 -
 .../pencil/files/pencil-0.4.4_beta-gcc461.patch    | 14 --------
 media-gfx/pencil/pencil-0.4.4_beta.ebuild          | 41 ----------------------
 3 files changed, 56 deletions(-)

Additionally, it has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=efb8a69f9521334e35cbdd51a6a10d170714c466

commit efb8a69f9521334e35cbdd51a6a10d170714c466
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-03-28 21:39:53 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-03-28 21:45:22 +0000

    media-gfx/pencil: 0.6.1_rc1 version bump
    
    Thanks-to: Agustin Ferrari <swicher@gmail.com>
    Bug: https://bugs.gentoo.org/602042
    Package-Manager: Portage-2.3.26, Repoman-2.3.7

 media-gfx/pencil/Manifest                |  1 +
 media-gfx/pencil/pencil-0.6.1_rc1.ebuild | 52 ++++++++++++++++++++++++++++++++
 2 files changed, 53 insertions(+)}